Page MenuHomePhabricator

Integrate with translatewiki
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:

Event Timeline

Sitic created this task.Jun 4 2015, 8:37 PM
Sitic claimed this task.
Sitic raised the priority of this task from to Normal.
Sitic updated the task description. (Show Details)
Sitic added a project: crosswatch.
Sitic moved this task to Next up on the crosswatch board.
Sitic added a subscriber: Sitic.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 8:37 PM
Sitic updated the task description. (Show Details)Jun 5 2015, 11:30 AM
Sitic set Security to None.
Sitic updated the task description. (Show Details)
Sitic moved this task from Next up to In Progress on the crosswatch board.Jun 24 2015, 12:55 PM
Sitic updated the task description. (Show Details)Jun 25 2015, 10:32 PM
Sitic reopened this task as Open.Jul 3 2015, 10:33 AM
Sitic closed this task as a duplicate of T104687: Move i18n to Intuition.
Sitic added a subscriber: Nemo_bis.
Sitic added a comment.Jul 3 2015, 10:36 AM

@Nemo_bis it got delayed a bit, but I probably will make a patch for translatewiki next week

@Nemo_bis it got delayed a bit, but I probably will make a patch for translatewiki next week

Are you going to use Intuition or not? Using Intuition is waaaaaaay faster than adding your own project.

Sitic added a comment.Jul 4 2015, 6:25 PM

Intuition is not really an option for me. First I don't use PHP so the framework in it self is no use to me. But the main reason is that I have translation strings like
<user> renamed user <user name={{olduser}}> ({{edits}} edits) to <user name={{newuser}}>
So I have to create a special Insertables.php and Checker.php for translatewiki.

(Also as I currently add new translation strings quite frequently I would prefer to have translatewiki pull and push the changes to my repository directly).

Change 225282 had a related patch set uploaded (by Sitic):
Improve translation setup

https://gerrit.wikimedia.org/r/225282

Restricted Application added subscribers: MGChecker, Luke081515. · View Herald TranscriptJul 17 2015, 4:54 AM

Change 225282 merged by Sitic:
Improve translation setup, add qqq.json, rtl support

https://gerrit.wikimedia.org/r/225282

Sitic updated the task description. (Show Details)Jul 17 2015, 9:08 AM
Sitic closed this task as Resolved.Aug 19 2015, 6:17 PM